Kodi & Flatpak - solution to out of date certificates & TLS certs

Kodi can’t update or install addons, so it is effectively useless. Logs are full of errors like:

ERROR: CCurlFile::Stat - Failed: SSL peer certificate or SSH remote key was not OK(60) for http://mirrors.kodi.tv/addons/leia/plugin.video.cmore/resources/icon.png

Tried updating certificates but it doesn’t help.

1 Like

And flatpak does not work either.

error: Can't load uri https://flathub.org/repo/flathub.flatpakrepo: Unacceptable TLS certificate
1 Like

The fix:

Go to:

http://security.ubuntu.com/ubuntu/pool/main/c/ca-certificates/

Download:

ca-certificates_20211016_all.deb

Install:

cd ~/Downloads
sudo dpkg -i ca-certificates_20211016_all.deb

Guys!!! Your certificates in the Jing repos are way out of date - please fix, this isn’t “Consumer ready”, I shouldn’t have to spend 2 days looking for a cure. @Maxximo88 can you make the developers aware?

1 Like

This is a fix for flatpak?

If you get a TLS error, then yes.

1 Like